export function RootComponent(options: any, pubsub: any, renderController: any, apiController: any, settingsController: any, sectionBoxDisplayManager: any, viewpointManager: any, measurementManager: any): void;
export class RootComponent {
    constructor(options: any, pubsub: any, renderController: any, apiController: any, settingsController: any, sectionBoxDisplayManager: any, viewpointManager: any, measurementManager: any);
    options: any;
    pubsub: any;
    render: any;
    sectionBoxDisplayManager: any;
    viewpointManager: any;
    measurementManager: any;
    api: any;
    settings: any;
    sub_components: {};
    sectionToolDropdown: SectionToolDropdown | null;
    window_components: any[];
    disabled: any[];
    statsJS: StatsJS | undefined;
    tooltipManager: TooltipManager;
    init(): void;
    addComponent(ComponentType: any): void;
    close(): void;
    OnWindowComponentTouched(windowComponent: any): void;
    GetWindowComponents(): any[];
    DisableComponent(component: any): void;
}
import { SectionToolDropdown } from './DropdownComponent';
import { StatsJS } from './StatsJS';
import { TooltipManager } from './Tooltip';
